Index: aai/clarin-sp-metadata.xml
===================================================================
--- aai/clarin-sp-metadata.xml	(revision 6867)
+++ aai/clarin-sp-metadata.xml	(revision 6965)
@@ -1834,4 +1834,159 @@
     </md:SPSSODescriptor>
   </md:EntityDescriptor>
+    <md:EntityDescriptor
+        xmlns:md="urn:oasis:names:tc:SAML:2.0:metadata"
+        ID="_01766660fc4cb4bf8abd22b8eed2b6481a44bb76"
+        entityID="https://fsd-cloud22.fz-juelich.de/shibboleth">
+        <md:Extensions
+            xmlns:alg="urn:oasis:names:tc:SAML:metadata:algsupport">
+            <alg:DigestMethod
+                Algorithm="http://www.w3.org/2001/04/xmlenc#sha512"/>
+            <alg:DigestMethod
+                Algorithm="http://www.w3.org/2001/04/xmldsig-more#sha384"/>
+            <alg:DigestMethod
+                Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
+            <alg:DigestMethod
+                Algorithm="http://www.w3.org/2001/04/xmldsig-more#sha224"/>
+            <alg:DigestMethod
+                Algorithm="http://www.w3.org/2000/09/xmldsig#sha1"/>
+            <alg:SigningMethod
+                Algorithm="http://www.w3.org/2001/04/xmldsig-more#ecdsa-sha512"/>
+            <alg:SigningMethod
+                Algorithm="http://www.w3.org/2001/04/xmldsig-more#ecdsa-sha384"/>
+            <alg:SigningMethod
+                Algorithm="http://www.w3.org/2001/04/xmldsig-more#ecdsa-sha256"/>
+            <alg:SigningMethod
+                Algorithm="http://www.w3.org/2001/04/xmldsig-more#ecdsa-sha224"/>
+            <alg:SigningMethod
+                Algorithm="http://www.w3.org/2001/04/xmldsig-more#rsa-sha512"/>
+            <alg:SigningMethod
+                Algorithm="http://www.w3.org/2001/04/xmldsig-more#rsa-sha384"/>
+            <alg:SigningMethod
+                Algorithm="http://www.w3.org/2001/04/xmldsig-more#rsa-sha256"/>
+            <alg:SigningMethod
+                Algorithm="http://www.w3.org/2009/xmldsig11#dsa-sha256"/>
+            <alg:SigningMethod
+                Algorithm="http://www.w3.org/2001/04/xmldsig-more#ecdsa-sha1"/>
+            <alg:SigningMethod
+                Algorithm="http://www.w3.org/2000/09/xmldsig#rsa-sha1"/>
+            <alg:SigningMethod
+                Algorithm="http://www.w3.org/2000/09/xmldsig#dsa-sha1"/>
+        </md:Extensions>
+        
+        <md:SPSSODescriptor
+            protocolSupportEnumeration="urn:oasis:names:tc:SAML:2.0:protocol">
+            <md:Extensions>
+                <init:RequestInitiator
+                    xmlns:init="urn:oasis:names:tc:SAML:profiles:SSO:request-init"
+                    Binding="urn:oasis:names:tc:SAML:profiles:SSO:request-init"
+                    Location="https://fsd-cloud22.fz-juelich.de/Shibboleth.sso/Login"/>
+                <idpdisc:DiscoveryResponse
+                    xmlns:idpdisc="urn:oasis:names:tc:SAML:profiles:SSO:idp-discovery-protocol"
+                    Binding="urn:oasis:names:tc:SAML:profiles:SSO:idp-discovery-protocol"
+                    Location="https://fsd-cloud22.fz-juelich.de/Shibboleth.sso/Login"
+                    index="1"/>
+            </md:Extensions>
+            <md:KeyDescriptor>
+                <ds:KeyInfo
+                    xmlns:ds="http://www.w3.org/2000/09/xmldsig#">
+                    <ds:KeyName>fsd-cloud22.fz-juelich.de</ds:KeyName>
+                    <ds:KeyName>fsd-cloud22.zam.kfa-juelich.de</ds:KeyName>
+                    <ds:X509Data>
+                        <ds:X509SubjectName>CN=fsd-cloud22.fz-juelich.de,OU=JSC,O=Forschungszentrum Juelich GmbH,L=Juelich,ST=Nordrhein-Westfalen,C=DE</ds:X509SubjectName>
+                        <ds:X509Certificate>MIIHHjCCBgagAwIBAgIHGtlz3r74azANBgkqhkiG9w0BAQsFADCBgzELMAkGA1UE
+                            BhMCREUxJzAlBgNVBAoTHkZvcnNjaHVuZ3N6ZW50cnVtIEp1ZWxpY2ggR21iSDEq
+                            MCgGA1UEAxMhRlpKIENlcnRpZmljYXRpb24gQXV0aG9yaXR5IC0gRzAyMR8wHQYJ
+                            KoZIhvcNAQkBFhBjYUBmei1qdWVsaWNoLmRlMB4XDTE2MDIwOTE0MjMxMVoXDTE5
+                            MDIwODE0MjMxMVowgZgxCzAJBgNVBAYTAkRFMRwwGgYDVQQIDBNOb3JkcmhlaW4t
+                            V2VzdGZhbGVuMRAwDgYDVQQHDAdKdWVsaWNoMScwJQYDVQQKDB5Gb3JzY2h1bmdz
+                            emVudHJ1bSBKdWVsaWNoIEdtYkgxDDAKBgNVBAsMA0pTQzEiMCAGA1UEAwwZZnNk
+                            LWNsb3VkMjIuZnotanVlbGljaC5kZTCCAiIwDQYJKoZIhvcNAQEBBQADggIPADCC
+                            AgoCggIBAMfXzBy5/J2a5TCTPUM5GpN6JHud4S45JtbAptwQh7omfTmeGYsx5iwD
+                            DFG/MPZlf7zodmh5dyXMgqznIC9rrY1anMgm0DfvAnBXihq5W1mbiXn9p1aMwpXy
+                            Liwbk137G+/BEYy/jMadzDAowAyXcWD637buSuIqGAvBGxsQF6nXothO08SpjbAd
+                            BwHKlqJvmfD9IUv77uvOFKtUI9vFkgPGbmyDsPZ6x36gG0GZnno3F8V3MVAwho3a
+                            YS2RXExofubibbTEmvgp4WcdESYOX660hTTT8t//HOKJZcYpkG169tePPaRUojUn
+                            rbpWEwyfai01J1Si/i+0T+RMqPst9qImVFmJltyY9dgoK79ZRowekuUDlkHiCaMl
+                            dkP11bx8Nhcr3poFvlRvFmKN+dZywox49QobYhmlXCXzoBAxVhNt0OQuSzc0z2qp
+                            BqZBJSFwLHg1rG6ZWVSOJ8kNAAqvQb3L2jvQOtKWTyxko01TtaNRlkwrVjRtX09A
+                            mQ0xFH9JQLmZE5l2hrwF0nyA4FoR7pLWT6hh4BH0GduM2DI10nTfx+RoF2qRaK0U
+                            UJEZ0NJBXtY43x5W4hFiO929vk9wqr9AdcB89qvb7XhczId/evB2DjIEs8xRoPn+
+                            y7V68Ua30N63BPnqd/iYAY9XedyFY1Fw9PfNxU/CJYb188hp37yhAgMBAAGjggJ+
+                            MIICejBZBgNVHSAEUjBQMBEGDysGAQQBga0hgiwBAQQDBDARBg8rBgEEAYGtIYIs
+                            AgEEAwEwDwYNKwYBBAGBrSGCLAEBBDANBgsrBgEEAYGtIYIsHjAIBgZngQwBAgIw
+                            CQYDVR0TBAIwADALBgNVHQ8EBAMCBeAwNAYDVR0lBC0wKwYIKwYBBQUHAwIGCCsG
+                            AQUFBwMBBgorBgEEAYI3CgMDBglghkgBhvhCBAEwHQYDVR0OBBYEFCRNTFFY4pUy
+                            dC2vcyOCMpvlTe+qMB8GA1UdIwQYMBaAFCC9cYmlySozLxHgH+WUJlYPEQIlMEQG
+                            A1UdEQQ9MDuCGWZzZC1jbG91ZDIyLmZ6LWp1ZWxpY2guZGWCHmZzZC1jbG91ZDIy
+                            LnphbS5rZmEtanVlbGljaC5kZTB7BgNVHR8EdDByMDegNaAzhjFodHRwOi8vY2Rw
+                            MS5wY2EuZGZuLmRlL2Z6ai1jYS9wdWIvY3JsL2dfY2FjcmwuY3JsMDegNaAzhjFo
+                            dHRwOi8vY2RwMi5wY2EuZGZuLmRlL2Z6ai1jYS9wdWIvY3JsL2dfY2FjcmwuY3Js
+                            MIHLBggrBgEFBQcBAQSBvjCBuzAzBggrBgEFBQcwAYYnaHR0cDovL29jc3AucGNh
+                            LmRmbi5kZS9PQ1NQLVNlcnZlci9PQ1NQMEEGCCsGAQUFBzAChjVodHRwOi8vY2Rw
+                            MS5wY2EuZGZuLmRlL2Z6ai1jYS9wdWIvY2FjZXJ0L2dfY2FjZXJ0LmNydDBBBggr
+                            BgEFBQcwAoY1aHR0cDovL2NkcDIucGNhLmRmbi5kZS9memotY2EvcHViL2NhY2Vy
+                            dC9nX2NhY2VydC5jcnQwDQYJKoZIhvcNAQELBQADggEBABBM7eYWXL3pZWpDl86X
+                            6MgmGYnqkPYOOPTAc/Sh09CiYWSeqZvhwdcZ5bjSkKWjj/aFjtlPBEZcX/8qxPTq
+                            vogwodrsogUo292scsPqTWt4jMHglKGG5WBxFzfAc8a6zuiYl7PfpnAqCmuTD5sC
+                            sjF41XFVNaxnq9JC1dZA/2O7siP0xqASNMCnQVvRuCaPIPVPrdnhRm0ETQyxRaAp
+                            hUhEOQ5KkptyCzcVHxxlv9BEJeZxNHADV64hiylof4ftjAFTEdMjctP76GVV62hz
+                            seLu0lY8FkqM7kGhA2lM4RPITphCP+Oa8JwmcJfe/34rNaE3BtKYA661KqOjWcaI
+                            mTw=
+                        </ds:X509Certificate>
+                    </ds:X509Data>
+                </ds:KeyInfo>
+                <md:EncryptionMethod
+                    Algorithm="http://www.w3.org/2009/xmlenc11#aes128-gcm"/>
+                <md:EncryptionMethod
+                    Algorithm="http://www.w3.org/2009/xmlenc11#aes192-gcm"/>
+                <md:EncryptionMethod
+                    Algorithm="http://www.w3.org/2009/xmlenc11#aes256-gcm"/>
+                <md:EncryptionMethod
+                    Algorithm="http://www.w3.org/2001/04/xmlenc#aes128-cbc"/>
+                <md:EncryptionMethod
+                    Algorithm="http://www.w3.org/2001/04/xmlenc#aes192-cbc"/>
+                <md:EncryptionMethod
+                    Algorithm="http://www.w3.org/2001/04/xmlenc#aes256-cbc"/>
+                <md:EncryptionMethod
+                    Algorithm="http://www.w3.org/2001/04/xmlenc#tripledes-cbc"/>
+                <md:EncryptionMethod
+                    Algorithm="http://www.w3.org/2009/xmlenc11#rsa-oaep"/>
+                <md:EncryptionMethod
+                    Algorithm="http://www.w3.org/2001/04/xmlenc#rsa-oaep-mgf1p"/>
+            </md:KeyDescriptor>
+            <md:ArtifactResolutionService
+                Binding="urn:oasis:names:tc:SAML:2.0:bindings:SOAP"
+                Location="https://fsd-cloud22.fz-juelich.de/Shibboleth.sso/Artifact/SOAP"
+                index="1"/>
+            <md:SingleLogoutService
+                Binding="urn:oasis:names:tc:SAML:2.0:bindings:SOAP"
+                Location="https://fsd-cloud22.fz-juelich.de/Shibboleth.sso/SLO/SOAP"/>
+            <md:SingleLogoutService
+                Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Redirect"
+                Location="https://fsd-cloud22.fz-juelich.de/Shibboleth.sso/SLO/Redirect"/>
+            <md:SingleLogoutService
+                Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST"
+                Location="https://fsd-cloud22.fz-juelich.de/Shibboleth.sso/SLO/POST"/>
+            <md:SingleLogoutService
+                Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Artifact"
+                Location="https://fsd-cloud22.fz-juelich.de/Shibboleth.sso/SLO/Artifact"/>
+            <md:AssertionConsumerService
+                Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST"
+                Location="https://fsd-cloud22.fz-juelich.de/Shibboleth.sso/SAML2/POST"
+                index="1"/>
+            <md:AssertionConsumerService
+                Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST-SimpleSign"
+                Location="https://fsd-cloud22.fz-juelich.de/Shibboleth.sso/SAML2/POST-SimpleSign"
+                index="2"/>
+            <md:AssertionConsumerService
+                Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Artifact"
+                Location="https://fsd-cloud22.fz-juelich.de/Shibboleth.sso/SAML2/Artifact"
+                index="3"/>
+            <md:AssertionConsumerService
+                Binding="urn:oasis:names:tc:SAML:2.0:bindings:PAOS"
+                Location="https://fsd-cloud22.fz-juelich.de/Shibboleth.sso/SAML2/ECP"
+                index="4"/>
+        </md:SPSSODescriptor>
+    </md:EntityDescriptor>
   <!-- RZ Garching ws1-clarind.esc.rzg.mpg.de (via CLARIN) -->
   <EntityDescriptor entityID="https://ws1-clarind.esc.rzg.mpg.de/shibboleth-sp">