Index: aai/clarin-sp-metadata.xml
===================================================================
--- aai/clarin-sp-metadata.xml	(revision 7004)
+++ aai/clarin-sp-metadata.xml	(revision 7006)
@@ -1259,4 +1259,5 @@
           <mdui:Description xml:lang="en">WebLicht is a service orchestration and execution environment for automatic linguistic annotation.</mdui:Description>
           <mdui:Description xml:lang="de">WebLicht ist eine Service-orientierte Architektur (SOA) zur Erstellung annotierter Textcorpora.</mdui:Description>
+          <mdui:Description xml:lang="fi">WebLicht on palvelu orkestrointi ja toteutus ympÃ€ristÃ¶n automaattiseen kielellisen huomautusta.</mdui:Description>
           <mdui:Logo height="50" width="190">https://weblicht.sfs.uni-tuebingen.de/weblichtwiki/weblicht_button2.png</mdui:Logo>
           <mdui:InformationURL xml:lang="en">http://weblicht.sfs.uni-tuebingen.de/</mdui:InformationURL>
@@ -1278,4 +1279,5 @@
       <md:AttributeConsumingService index="1">
         <md:ServiceName xml:lang="en">Weblicht, University TÃŒbingen</md:ServiceName>
+        <md:ServiceDescription xml:lang="en">WebLicht is a service orchestration and execution environment for automatic linguistic annotation.</md:ServiceDescription>
         <md:RequestedAttribute FriendlyName="eduPersonPrincipalName" Name="urn:oid:1.3.6.1.4.1.5923.1.1.1.6" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:uri" isRequired="false"/>
         <md:RequestedAttribute FriendlyName="mail" Name="urn:oid:0.9.2342.19200300.100.1.3" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:uri" isRequired="false"/>
@@ -1285,4 +1287,16 @@
         <md:RequestedAttribute FriendlyName="surname" Name="urn:oid:2.5.4.4" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:uri" isRequired="false"/>
         <md:RequestedAttribute FriendlyName="eduPersonEntitlement" Name="urn:oid:1.3.6.1.4.1.5923.1.1.1.7" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:uri" isRequired="false"/>
+      </md:AttributeConsumingService>
+      <md:AttributeConsumingService index="6">
+        <md:ServiceName xml:lang="en">Weblicht, University TÃŒbingen</md:ServiceName>
+        <md:ServiceDescription xml:lang="en">WebLicht is a service orchestration and execution environment for automatic linguistic annotation.</md:ServiceDescription>
+        <md:RequestedAttribute FriendlyName="eduPersonPrincipalName" Name="urn:mace:dir:attribute-def:eduPersonPrincipalName" NameFormat="urn:mace:shibboleth:1.0:attributeNamespace:uri" isRequired="false"/>
+        <md:RequestedAttribute FriendlyName="mail" Name="urn:mace:dir:attribute-def:mail" NameFormat="urn:mace:shibboleth:1.0:attributeNamespace:uri" isRequired="false"/>
+        <md:RequestedAttribute FriendlyName="cn" Name="urn:mace:dir:attribute-def:cn" NameFormat="urn:mace:shibboleth:1.0:attributeNamespace:uri" isRequired="false"/>
+        <md:RequestedAttribute FriendlyName="eduPersonTargetedID" Name="urn:mace:dir:attribute-def:eduPersonTargetedID" NameFormat="urn:mace:shibboleth:1.0:attributeNamespace:uri" isRequired="false"/>
+        <md:RequestedAttribute FriendlyName="givenName" Name="urn:mace:dir:attribute-def:givenName" NameFormat="urn:mace:shibboleth:1.0:attributeNamespace:uri" isRequired="false"/>
+        <md:RequestedAttribute FriendlyName="surname" Name="urn:mace:dir:attribute-def:sn" NameFormat="urn:mace:shibboleth:1.0:attributeNamespace:uri" isRequired="false"/>
+
+        <md:RequestedAttribute FriendlyName="eduPersonEntitlement" Name="urn:mace:dir:attribute-def:eduPersonEntitlement" NameFormat="urn:mace:shibboleth:1.0:attributeNamespace:uri" isRequired="false"/>
       </md:AttributeConsumingService>
     </md:SPSSODescriptor>
@@ -1340,5 +1354,6 @@
           <mdui:DisplayName xml:lang="fi">CLARIN WebAnno</mdui:DisplayName>
           <mdui:Description xml:lang="en">WebAnno is a general purpose web-based linguistic annotation tool.</mdui:Description>
-          <mdui:Description xml:lang="en">WebAnno ist ein webbasiertes Allzweck-Werkzeug fÃŒr linguistische Anmerkungen.</mdui:Description>
+          <mdui:Description xml:lang="de">WebAnno ist ein webbasiertes Allzweck-Werkzeug fÃŒr linguistische Anmerkungen.</mdui:Description>
+          <mdui:Description xml:lang="fi">WebAnno on yleiskÃ€yttÃ¶inen web-pohjainen kielellinen kÃ€sinkirjoitustyÃ¶kalun.</mdui:Description>
           <mdui:Logo height="128" width="128">https://webanno.github.io/webanno/assets/img/logo.png</mdui:Logo>
           <mdui:InformationURL xml:lang="en">http://webanno.sfs.uni-tuebingen.de/</mdui:InformationURL>
@@ -1366,4 +1381,13 @@
         <md:RequestedAttribute FriendlyName="surname" Name="urn:oid:2.5.4.4" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:uri" isRequired="false"/>
         <md:RequestedAttribute FriendlyName="cn" Name="urn:oid:2.5.4.3" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:uri" isRequired="false"/>
+      </md:AttributeConsumingService>
+      <md:AttributeConsumingService index="6">
+        <md:ServiceName xml:lang="en">WebAnno instance at University of TÃŒbingen</md:ServiceName>
+        <md:ServiceDescription xml:lang="en">WebAnno instance at University of TÃŒbingen</md:ServiceDescription>
+        <md:RequestedAttribute FriendlyName="eduPersonPrincipalName" Name="urn:mace:dir:attribute-def:eduPersonPrincipalName" NameFormat="urn:mace:shibboleth:1.0:attributeNamespace:uri" isRequired="true"/>
+        <md:RequestedAttribute FriendlyName="mail" Name="urn:mace:dir:attribute-def:mail" NameFormat="urn:mace:shibboleth:1.0:attributeNamespace:uri" isRequired="true"/>
+        <md:RequestedAttribute FriendlyName="cn" Name="urn:mace:dir:attribute-def:cn" NameFormat="urn:mace:shibboleth:1.0:attributeNamespace:uri" isRequired="false"/>
+        <md:RequestedAttribute FriendlyName="givenName" Name="urn:mace:dir:attribute-def:givenName" NameFormat="urn:mace:shibboleth:1.0:attributeNamespace:uri" isRequired="false"/>
+        <md:RequestedAttribute FriendlyName="surname" Name="urn:mace:dir:attribute-def:sn" NameFormat="urn:mace:shibboleth:1.0:attributeNamespace:uri" isRequired="false"/>
       </md:AttributeConsumingService>
     </md:SPSSODescriptor>