Index: aai/clarin-sp-metadata.xml
===================================================================
--- aai/clarin-sp-metadata.xml	(revision 7127)
+++ aai/clarin-sp-metadata.xml	(revision 7128)
@@ -1294,160 +1294,4 @@
             <md:SurName>Van Uytvanck</md:SurName>
             <md:EmailAddress>mailto:sysops@clarin.eu</md:EmailAddress>
-        </md:ContactPerson>
-    </md:EntityDescriptor>
-    <md:EntityDescriptor
-        xmlns:md="urn:oasis:names:tc:SAML:2.0:metadata"
-        entityID="https://sp.lux17.mpi.nl">
-        <md:Extensions>
-            <mdattr:EntityAttributes
-                xmlns:mdattr="urn:oasis:names:tc:SAML:metadata:attribute">
-                <saml:Attribute
-                    xmlns:saml="urn:oasis:names:tc:SAML:2.0:assertion"
-                    NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:uri"
-                    Name="http://macedir.org/entity-category">
-                    <saml:AttributeValue>http://www.geant.net/uri/dataprotection-code-of-conduct/v1</saml:AttributeValue>
-                </saml:Attribute>
-                <saml:Attribute
-                    xmlns:saml="urn:oasis:names:tc:SAML:2.0:assertion"
-                    Name="http://macedir.org/entity-category"
-                    NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:uri">
-                    <saml:AttributeValue>http://refeds.org/category/research-and-scholarship</saml:AttributeValue>
-                </saml:Attribute>
-            </mdattr:EntityAttributes>
-        </md:Extensions>
-        <md:SPSSODescriptor
-            protocolSupportEnumeration="urn:oasis:names:tc:SAML:2.0:protocol">
-            <md:Extensions>
-                <mdui:UIInfo
-                    xmlns:mdui="urn:oasis:names:tc:SAML:metadata:ui">
-                    <mdui:DisplayName
-                        xml:lang="en">On languages (dev)</mdui:DisplayName>
-                    <mdui:DisplayName
-                        xml:lang="de">Ãber Sprachen (dev)</mdui:DisplayName>
-                    <mdui:DisplayName
-                        xml:lang="fi">KielistÃ€ (dev)</mdui:DisplayName>
-                    <mdui:DisplayName
-                        xml:lang="nl">Over talen (dev)</mdui:DisplayName>
-                    <mdui:Description
-                        xml:lang="en">Linguistic applications for researchers: Annex, IMDI Browser, Lamus, Metadata Browser.</mdui:Description>
-                    <mdui:Description
-                        xml:lang="de">Sprachanwendungen fÃŒr Forscher: Annex, IMDI Browser, Lamus, Metadata Browser.</mdui:Description>
-                    <mdui:Description
-                        xml:lang="fi">KielellisiÃ€ sovelluksia tutkijoille: Annex, IMDI Browser, Lamus, Metadata Browser.</mdui:Description>
-                    <mdui:Description
-                        xml:lang="nl">Taalkundige toepassingen voor onderzoekers: Annex, IMDI Browser, Lamus, Metadata Browser.</mdui:Description>
-                    <mdui:InformationURL
-                        xml:lang="en">https://tla.mpi.nl/tools/tla-tools/</mdui:InformationURL>
-                    <mdui:Keywords
-                        xml:lang="en">MPI-PL lux17 linguistics Annex IMDI+Browser Lamus Metadata+Browser</mdui:Keywords>
-                    <mdui:Keywords
-                        xml:lang="nl">MPI-PL corpus1 corpustaalkunde Annex IMDI+Browser Lamus Metadata+Browser</mdui:Keywords>
-                    <mdui:Logo
-                        height="90"
-                        width="90">https://lux17.mpi.nl/gif/mpg-logo-90x90-grey.gif</mdui:Logo>
-                    <mdui:PrivacyStatementURL
-                        xml:lang="en">https://lux17.mpi.nl/privacy_statement.html</mdui:PrivacyStatementURL>
-                </mdui:UIInfo>
-                <init:RequestInitiator
-                    xmlns:init="urn:oasis:names:tc:SAML:profiles:SSO:request-init"
-                    Binding="urn:oasis:names:tc:SAML:profiles:SSO:request-init"
-                    Location="https://lux17.mpi.nl/Shibboleth.sso/Login"/>
-                <idpdisc:DiscoveryResponse
-                    xmlns:idpdisc="urn:oasis:names:tc:SAML:profiles:SSO:idp-discovery-protocol"
-                    index="1"
-                    Binding="urn:oasis:names:tc:SAML:profiles:SSO:idp-discovery-protocol"
-                    Location="https://lux17.mpi.nl/Shibboleth.sso/Login"/>
-            </md:Extensions>
-            <md:KeyDescriptor>
-                <ds:KeyInfo
-                    xmlns:ds="http://www.w3.org/2000/09/xmldsig#">
-                    <ds:X509Data>
-                        <ds:X509Certificate>MIIDaDCCAlACCQD2mDCAJYMG3jANBgkqhkiG9w0BAQUFADB2MQswCQYDVQQGEwJO TDEMMAoGA1UECBMDR0xEMREwDwYDVQQHEwhOaWptZWdlbjEPMA0GA1UEChMGTVBJ LVBMMRUwEwYDVQQDEwxsdXgxNy5tcGkubmwxHjAcBgkqhkiG9w0BCQEWD2xhdGFk bWluQG1waS5ubDAeFw0xNDA1MDIxMTI2MDZaFw0xOTA1MDExMTI2MDZaMHYxCzAJ BgNVBAYTAk5MMQwwCgYDVQQIEwNHTEQxETAPBgNVBAcTCE5pam1lZ2VuMQ8wDQYD VQQKEwZNUEktUEwxFTATBgNVBAMTDGx1eDE3Lm1waS5ubDEeMBwGCSqGSIb3DQEJ ARYPbGF0YWRtaW5AbXBpLm5sMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKC AQEA3QaSP0LJ0mVZZIdEh7zFJW8lnkVGQFuueAiDfVVvGtGvJ5iz7CRoyrdTQDco oJjQDFub/uU6v0i+saVgI+LuzUlq28hrKF5hIjhWCLMRgYZzsnArcGK3etcChsNE OPfWNCOCGi90sIqNmJcVRoDw36tLiHXmIkhcy4ZE06SYXvT+qAwo4h30Z/IH2de/ QlYEpkqF131p2lJGWx1Bi5l7IMeZtlwIzbJn08htAT/T8h6g9XvDfmQxS4xuiXGr uRwVhTTkTP9OsdrXkktJEkSE2p+qP0tYekb+ZPd4LzlSjnDWf3V1T/DrbL071eiC rx2iDW3n5Wy7so0iwmU5nr9QhwIDAQABMA0GCSqGSIb3DQEBBQUAA4IBAQAFSrqi HOMohDd4JXB3rjX8npCSTTeam84LTI1Twd8GXOmDQ8izcwsfUIILusEqd+66V/kh iwnBgmrwgw0CVEZjgwkbVdZH68RGO4i6n5hZwmzr5jx4yNkfLZ5uwfHLIkqgJjj0 DvsA6Saom/5BD6dln6TuQ9cwFu+9pOxaWjfEeD2Rm5HFP+VF9GPxM19Gs6xcYi2L GlEfBQvH/6vp65r3ciw760KPeO1ITxaIfqX5fOxOaA0NLOIGLjX0G11vf/i3n1OQ MZTR7RMV+bjZiLNoPOJ/Ezz5lr+k0V12yVJ35J2J6TIz6lcB9M1tCFDY7tS89nYf HFhkY9jzkGrcHMME</ds:X509Certificate>
-                    </ds:X509Data>
-                </ds:KeyInfo>
-            </md:KeyDescriptor>
-            <md:SingleLogoutService
-                Binding="urn:oasis:names:tc:SAML:2.0:bindings:SOAP"
-                Location="https://lux17.mpi.nl/Shibboleth.sso/SLO/SOAP"/>
-            <md:SingleLogoutService
-                Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Redirect"
-                Location="https://lux17.mpi.nl/Shibboleth.sso/SLO/Redirect"/>
-            <md:SingleLogoutService
-                Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST"
-                Location="https://lux17.mpi.nl/Shibboleth.sso/SLO/POST"/>
-            <md:SingleLogoutService
-                Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Artifact"
-                Location="https://lux17.mpi.nl/Shibboleth.sso/SLO/Artifact"/>
-            <md:AssertionConsumerService
-                Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST"
-                Location="https://lux17.mpi.nl/Shibboleth.sso/SAML2/POST"
-                index="1"/>
-            <md:AssertionConsumerService
-                Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST-SimpleSign"
-                Location="https://lux17.mpi.nl/Shibboleth.sso/SAML2/POST-SimpleSign"
-                index="2"/>
-            <md:AssertionConsumerService
-                Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Artifact"
-                Location="https://lux17.mpi.nl/Shibboleth.sso/SAML2/Artifact"
-                index="3"/>
-            <md:AssertionConsumerService
-                Binding="urn:oasis:names:tc:SAML:2.0:bindings:PAOS"
-                Location="https://lux17.mpi.nl/Shibboleth.sso/SAML2/ECP"
-                index="4"/>
-            <md:AttributeConsumingService
-                index="1">
-                <md:ServiceName
-                    xml:lang="en">On languages (dev)</md:ServiceName>
-                <md:ServiceDescription
-                    xml:lang="en">Linguistic applications for researchers: Annex, IMDI Browser, Lamus, Metadata Browser.</md:ServiceDescription>
-                <RequestedAttribute
-                    FriendlyName="eduPersonPrincipalName"
-                    Name="urn:oid:1.3.6.1.4.1.5923.1.1.1.6"
-                    NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:uri"
-                    isRequired="true"/>
-                <RequestedAttribute
-                    FriendlyName="mail"
-                    Name="urn:oid:0.9.2342.19200300.100.1.3"
-                    NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:uri"
-                    isRequired="false"/>
-            </md:AttributeConsumingService>
-        </md:SPSSODescriptor>
-        <md:Organization>
-            <md:OrganizationName
-                xml:lang="en">MPI-PL</md:OrganizationName>
-            <md:OrganizationName
-                xml:lang="nl">MPI-PL</md:OrganizationName>
-            <md:OrganizationName
-                xml:lang="de">MPI-PL</md:OrganizationName>
-            <md:OrganizationDisplayName
-                xml:lang="en">Max Planck Institute for Psycholinguistics</md:OrganizationDisplayName>
-            <md:OrganizationDisplayName
-                xml:lang="nl">Max Planck Instituut voor PsycholinguÃ¯stiek </md:OrganizationDisplayName>
-            <md:OrganizationDisplayName
-                xml:lang="de">Max Planck Institut fÃŒr Psycholinguistik </md:OrganizationDisplayName>
-            <md:OrganizationURL
-                xml:lang="en">http://www.mpi.nl/</md:OrganizationURL>
-            <md:OrganizationURL
-                xml:lang="nl">http://www.mpi.nl/nederlands</md:OrganizationURL>
-            <md:OrganizationURL
-                xml:lang="de">http://www.mpi.nl/deutsch</md:OrganizationURL>
-        </md:Organization>
-        <md:ContactPerson
-            contactType="support">
-            <md:GivenName>AndrÃ©</md:GivenName>
-            <md:SurName>Moreira</md:SurName>
-            <md:EmailAddress>mailto:shibboleth@mpi.nl</md:EmailAddress>
-        </md:ContactPerson>
-        <md:ContactPerson
-            contactType="administrative">
-            <md:GivenName>Paul</md:GivenName>
-            <md:SurName>Trilsbeek</md:SurName>
-            <md:EmailAddress>mailto:Paul.Trilsbeek@mpi.nl</md:EmailAddress>
-        </md:ContactPerson>
-        <md:ContactPerson
-            contactType="technical">
-            <md:GivenName>AndrÃ©</md:GivenName>
-            <md:SurName>Moreira</md:SurName>
-            <md:EmailAddress>mailto:latadmin@mpi.nl</md:EmailAddress>
         </md:ContactPerson>
     </md:EntityDescriptor>