Index: /cats/patches/NetKernel/trunk/src/modules/ext-xml-ura-1.3.4/org/ten60/netkernel/xml/accessor/XSDValidatorHandler.java
===================================================================
--- /cats/patches/NetKernel/trunk/src/modules/ext-xml-ura-1.3.4/org/ten60/netkernel/xml/accessor/XSDValidatorHandler.java	(revision 7140)
+++ /cats/patches/NetKernel/trunk/src/modules/ext-xml-ura-1.3.4/org/ten60/netkernel/xml/accessor/XSDValidatorHandler.java	(revision 7141)
@@ -1,3 +1,3 @@
-﻿/******************************************************************************
+/******************************************************************************
  * (c) Copyright 2002,2003, 1060 Research Ltd
  *
Index: /cats/patches/NetKernel/trunk/src/modules/ext-xquery-2.4.4/module.xml
===================================================================
--- /cats/patches/NetKernel/trunk/src/modules/ext-xquery-2.4.4/module.xml	(revision 7141)
+++ /cats/patches/NetKernel/trunk/src/modules/ext-xquery-2.4.4/module.xml	(revision 7141)
@@ -0,0 +1,76 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<module>
+    <identity>
+		<uri>urn:org:ten60:netkernel:ext:xquery</uri>
+		<version>2.4.4</version>
+    </identity>
+	<info>
+		<name>XQuery</name>
+        <description>XQuery Accessor also provides XSLT2 - based on Saxonb8-6</description>
+    </info>
+    <publisher>
+        <name>1060 Research Limited</name>
+		<uri>http://www.1060research.com</uri>
+    </publisher>
+    <licence>
+		<name>1060 Public License v1.0</name>
+		<uri>http://www.1060research.com/license</uri>
+	</licence>
+	<export>
+		<uri>
+			<match>active:(xquery|xslt2|xpath2eval|validateSchematron2)\+.*</match>
+			<match>ffcpl:/entrypoints.xml</match>
+			<match>active:doc-generate\+.*</match>
+		</uri>
+		<class>
+			<match>com\.saxonica\..*</match>
+			<match>net\.sf\.saxon\..*</match>
+			<match>org\.ten60\.ura\.xslt2\.TinyTreeAspect</match>
+			<match>org\.ten60\.ura\.xslt2\.XMLToXSLTransformer</match>
+		</class>
+	</export>
+    <mapping>
+		<ura>
+			<match>active:xquery.*</match>
+			<class>org.ten60.ura.xquery.SaxonXQueryAccessor</class>
+		</ura>
+		<ura>
+			<match>active:xslt2.*</match>
+			<class>org.ten60.ura.xslt2.XSLTAccessor</class>
+		</ura>
+		<ura>
+			<match>active:xpath2eval.*</match>
+			<class>org.ten60.ura.xpath2.XPath2EvalAccessor</class>
+		</ura>
+		<ura>
+			<match>active:validateSchematron2.*</match>
+			<class>org.ten60.ura.schematron.ValidateSchematron2Accessor</class>
+		</ura>
+		<this>
+			<match>ffcpl:/(entrypoints.xml|org/ten60/ura/schematron/.*)</match>
+		</this>
+		<this>
+			<match>ffcpl:/xusr/share/doc/ext_xquery/.*</match>
+		</this>
+		<import>
+			<uri>urn:org:ten60:netkernel:ext:xml:core</uri>
+		</import>
+		<import>
+			<uri>urn:org:ten60:netkernel:ext:xml:ura</uri>
+		</import>
+		<import>
+			<uri>urn:org:ten60:netkernel:ext:layer1</uri>
+		</import>
+		<import>
+			<uri>urn:org:ten60:netkernel:mod:docxter</uri>
+		</import>
+		<super/>
+    </mapping>
+	<transreptors>
+			<transreptor>org.ten60.ura.xquery.XQueryCompiler</transreptor>
+			<transreptor>org.ten60.ura.xslt2.XMLToXSLTransformer</transreptor>
+			<transreptor>org.ten60.ura.xslt2.XML2TinyTree</transreptor>
+			<transreptor>org.ten60.ura.xslt2.TinyTree2DOM</transreptor>
+			<transreptor>org.ten60.ura.xslt2.TinyTree2BinaryStream</transreptor>
+	</transreptors>
+</module>
Index: /cats/patches/NetKernel/trunk/src/modules/mod-smtp-1.1.2/org/ten60/smtp/accessor/BaseSMTPAccessor.java
===================================================================
--- /cats/patches/NetKernel/trunk/src/modules/mod-smtp-1.1.2/org/ten60/smtp/accessor/BaseSMTPAccessor.java	(revision 7140)
+++ /cats/patches/NetKernel/trunk/src/modules/mod-smtp-1.1.2/org/ten60/smtp/accessor/BaseSMTPAccessor.java	(revision 7141)
@@ -158,5 +158,5 @@
                     DataHandler dh = null;
                     if( !rep.getMeta().getMimeType().startsWith( "text" ) || aHelper.getOperand().getXDA().isTrue( "//attachment[name='" + struct.getKey() + "']") ) {
-			System.err.println("DBG: "+struct.getKey()+":handled as attachment");
+                        System.err.println("DBG: "+struct.getKey()+":handled as attachment");
                         ByteArrayDataSource bads = new ByteArrayDataSource( baos.toByteArray(), rep.getMeta().getMimeType() );
                         dh = new DataHandler( bads );
@@ -168,5 +168,5 @@
                         }
                     } else {
-			    System.err.println("DBG: "+struct.getKey()+":handled as part");
+                        System.err.println("DBG: "+struct.getKey()+":handled as part");
                         dh = new DataHandler( baos.toString(), rep.getMeta().getMimeType() );
                     }