Index: /SRUAggregator/trunk/aggregator.yml
===================================================================
--- /SRUAggregator/trunk/aggregator.yml	(revision 7149)
+++ /SRUAggregator/trunk/aggregator.yml	(revision 7150)
@@ -3,5 +3,8 @@
   # additionalCQLEndpoints:
     # - https://clarin.ids-mannheim.de/digibibsru-new
+  # additionalFCSEndpoints:
 
+  #AGGREGATOR_FILE_PATH: /var/lib/aggregator/fcsAggregatorCorpora.json
+  #AGGREGATOR_FILE_PATH_BACKUP: /var/lib/aggregator/fcsAggregatorCorpora.backup.json
   AGGREGATOR_FILE_PATH: /var/lib/aggregator/fcsAggregatorCorpora.json
   AGGREGATOR_FILE_PATH_BACKUP: /var/lib/aggregator/fcsAggregatorCorpora.backup.json
@@ -37,4 +40,5 @@
   applicationContextPath: /Aggregator
   type: simple
+  #rootPath: '/rest/*'
   connector:
     type: http
@@ -52,5 +56,9 @@
   appenders:
     - type: file
+      #currentLogFilename: /var/log/aggregator/access.log
       currentLogFilename: /var/log/aggregator/access.log
+      #archivedLogFilenamePattern: /var/log/aggregator/access-%d.log.gz
       archivedLogFilenamePattern: /var/log/aggregator/access-%d.log.gz
       archivedFileCount: 5
+#  appenders:
+#    - type: console
Index: /SRUAggregator/trunk/src/main/java/eu/clarin/sru/fcs/aggregator/scan/FCSProtocolVersion.java
===================================================================
--- /SRUAggregator/trunk/src/main/java/eu/clarin/sru/fcs/aggregator/scan/FCSProtocolVersion.java	(revision 7149)
+++ /SRUAggregator/trunk/src/main/java/eu/clarin/sru/fcs/aggregator/scan/FCSProtocolVersion.java	(revision 7150)
@@ -9,4 +9,4 @@
 	LEGACY, // https://trac.clarin.eu/wiki/FCS-specification
 	VERSION_1, // https://trac.clarin.eu/wiki/FCS/Specification
-	VERSION_2, // https://trac.clarin.eu/wiki/Taskforces/FCS/FCS-Specification-Draft
+	VERSION_2, // https://trac.clarin.eu/wiki/FCS/FCS-Specification-v2
 }
Index: /SRUAggregator/trunk/src/main/java/eu/clarin/sru/fcs/aggregator/scan/Institution.java
===================================================================
--- /SRUAggregator/trunk/src/main/java/eu/clarin/sru/fcs/aggregator/scan/Institution.java	(revision 7149)
+++ /SRUAggregator/trunk/src/main/java/eu/clarin/sru/fcs/aggregator/scan/Institution.java	(revision 7150)
@@ -28,4 +28,17 @@
 		endpoints.add(new Endpoint(endpointUrl, FCSProtocolVersion.LEGACY));
 		return endpointUrl;
+	}
+
+	public String addEndpoint(String endpointUrl, FCSProtocolVersion version) {
+	    if (version.equals(FCSProtocolVersion.VERSION_2)) { 
+		endpoints.add(new Endpoint(endpointUrl, FCSProtocolVersion.VERSION_2));
+	    } else if (version.equals(FCSProtocolVersion.VERSION_1)) {
+		endpoints.add(new Endpoint(endpointUrl, FCSProtocolVersion.VERSION_1));
+	    } else if (version.equals(FCSProtocolVersion.LEGACY)) {
+		endpoints.add(new Endpoint(endpointUrl, FCSProtocolVersion.LEGACY));
+            } else {
+		endpoints.add(new Endpoint(endpointUrl, FCSProtocolVersion.LEGACY));
+	    }
+	    return endpointUrl;
 	}
 
Index: /SRUAggregator/trunk/src/main/java/eu/clarin/sru/fcs/aggregator/scan/ScanCrawlTask.java
===================================================================
--- /SRUAggregator/trunk/src/main/java/eu/clarin/sru/fcs/aggregator/scan/ScanCrawlTask.java	(revision 7149)
+++ /SRUAggregator/trunk/src/main/java/eu/clarin/sru/fcs/aggregator/scan/ScanCrawlTask.java	(revision 7150)
@@ -31,7 +31,10 @@
 	private String centerRegistryUrl;
 	private List<URL> additionalCQLEndpoints;
+	private List<URL> additionalFCSEndpoints;
 
 	public ScanCrawlTask(ThrottledClient sruClient, String centerRegistryUrl,
-			int cacheMaxDepth, List<URL> additionalCQLEndpoints,
+			int cacheMaxDepth,
+			List<URL> additionalCQLEndpoints,
+			List<URL> additionalFCSEndpoints,
 			EndpointFilter filter,
 			AtomicReference<Corpora> corporaAtom,
@@ -44,4 +47,5 @@
 		this.cacheMaxDepth = cacheMaxDepth;
 		this.additionalCQLEndpoints = additionalCQLEndpoints;
+		this.additionalFCSEndpoints = additionalFCSEndpoints;
 		this.filter = filter;
 		this.corporaAtom = corporaAtom;
@@ -64,8 +68,18 @@
 			if (additionalCQLEndpoints != null && !additionalCQLEndpoints.isEmpty()) {
 				institutions.add(0,
-						new Institution("Unknown Institution", null) {
+						new Institution("Unknown Institution, legacy", null) {
 							{
 								for (URL u : additionalCQLEndpoints) {
-									addEndpoint(u.toExternalForm());
+									addEndpoint(u.toExternalForm(), FCSProtocolVersion.LEGACY);
+								}
+							}
+						});
+			}
+			if (additionalFCSEndpoints != null && !additionalFCSEndpoints.isEmpty()) {
+				institutions.add(0,
+						new Institution("Unknown Institution, FCS v2.0", null) {
+							{
+								for (URL u : additionalFCSEndpoints) {
+									addEndpoint(u.toExternalForm(), FCSProtocolVersion.VERSION_2);
 								}
 							}
Index: /SRUAggregator/trunk/src/main/java/eu/clarin/sru/fcs/aggregator/scan/Statistics.java
===================================================================
--- /SRUAggregator/trunk/src/main/java/eu/clarin/sru/fcs/aggregator/scan/Statistics.java	(revision 7149)
+++ /SRUAggregator/trunk/src/main/java/eu/clarin/sru/fcs/aggregator/scan/Statistics.java	(revision 7150)
@@ -172,5 +172,5 @@
 		EndpointStats stats = getEndpointStats(institution, endpoint);
 		synchronized (stats.lock) {
-		    stats.version = endpoint.getProtocol() == FCSProtocolVersion.VERSION_2 ? FCSProtocolVersion.VERSION_2 : FCSProtocolVersion.VERSION_1;
+		    stats.version = endpoint.getProtocol().equals(FCSProtocolVersion.VERSION_2) ? FCSProtocolVersion.VERSION_2 : FCSProtocolVersion.VERSION_1;
 		}
 	}